edu.ucsb.nceas.metacat.lsid

## Class LSIDDataLookup

- java.lang.Object
- - edu.ucsb.nceas.metacat.lsid.LSIDDataLookup

-     public class LSIDDataLookup
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSTRACT`
    `static int` | `CONCRETE`
    `static int` | `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSIDDataLookup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocType(com.ibm.lsid.LSID lsid)`
    `java.io.InputStream` | `lsidData(com.ibm.lsid.LSID lsid)`
    `int` | `lsidType(com.ibm.lsid.LSID lsid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### ABSTRACT

          public static final int ABSTRACT

      See Also:
        Constant Field Values

    - #### CONCRETE

          public static final int CONCRETE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LSIDDataLookup

          public LSIDDataLookup()
                         throws com.ibm.lsid.server.LSIDServerException

      Throws:
        `com.ibm.lsid.server.LSIDServerException`

  - ### Method Detail

    - #### getDocType

          public java.lang.String getDocType(com.ibm.lsid.LSID lsid)

    - #### lsidType

          public int lsidType(com.ibm.lsid.LSID lsid)
                       throws com.ibm.lsid.server.LSIDServerException

      Throws:
        `com.ibm.lsid.server.LSIDServerException`

    - #### lsidData

          public java.io.InputStream lsidData(com.ibm.lsid.LSID lsid)
                                       throws com.ibm.lsid.server.LSIDServerException

      Throws:
        `com.ibm.lsid.server.LSIDServerException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.